Subject: [bug#35234] [PATCH] gnu: Add the-dark-mod.

From: Pierre Neidhardt <[email-masked]>
Date: Fri, 12 Apr 2019 11:39:33 +0200

Ricardo Wurmus <[email-masked]> writes:

> Hi Pierre,
>
>> * gnu/packages/games.scm (the-dark-mod): New variable.
> […]
>> +      (synopsis "Game based on the Thief series by Looking Glass Studios")
>> +      (description (format #f "The Dark Mod (TDM) is stealth/infiltration game
>> +based on the Thief series by Looking Glass Studios.  Formerly a Doom III mod,
>> +it is now released as a standalone.
>> +
>> +The game data must be fetched manually by running @command{tdm_update}.
>> +The ~a environment variable specifies the location where the game data is
>> +saved (defaults to ~a)."
>> +                           the-dark-mod-env-var-name the-dark-mod-env-var-value))
>
> Is this actually free software?  Does it depend on the proprietary Thief
> game data to be playable?  What is the purpose of tdm_update?

It is: I added a comment in the license section: all the data fetched by
the "tdm_update" executable is under CC.  tdm_update is the in-house
package manager.  It's sad the game data is not versioned, but I don't
see a way around it at  the moment.

We have quite a few game engines in our repository that
depend on proprietary game data to be playable.  But The Dark Mod is not one
of them.

> The value of the description field must be a plain string.  It should
> not be a format expression to allow for translations.

Hmm... I really liked that I could make the environment variable
customizable, but I guess I'll have to hard-code it in the description then.

Thanks for the review!

-- 
Pierre Neidhardt
https://ambrevar.xyz/